# yamllint disable
# License: MIT (c) GitLab Inc.
# yamllint enable
---
rules:
- id: "python/file_permissions/rule-general_bad_permission"
  languages:
  - "python"
  message: |
    Chmod setting a permissive mask on file.
  metadata:
    cwe: "CWE-732"
    owasp: "A6:2017-Security Misconfiguration"
    shortDescription: "Incorrect Permission Assignment for Critical Resource"
  patterns:
  - pattern: "os.chmod(...,$MASK)"
  - metavariable-regex:
      metavariable: "$MASK"
      regex: "(0x..f|0o..[2,3,7]|stat.S_IXGRP|stat.S_IWOTH)"
  severity: "WARNING"
